Package org.eclipse.lemminx.extensions.relaxng.jing.toremove

## Class MyCompactSchemaReader

- java.lang.Object
- - com.thaiopensource.validate.AbstractSchemaReader
  - - org.eclipse.lemminx.extensions.relaxng.jing.toremove.MySchemaReaderImpl
    - - org.eclipse.lemminx.extensions.relaxng.jing.toremove.MyCompactSchemaReader

All Implemented Interfaces:
  `com.thaiopensource.validate.SchemaReader`

    public class MyCompactSchemaReader
    extends MySchemaReaderImpl

This class is a copy of `CompactSchemaReader` adapted for LemMinx. This class could be removed once issues

- https://github.com/relaxng/jing-trang/pull/273
- https://github.com/relaxng/jing-trang/issues/275

will be fixed.

Author:
  Angelo ZERR

### Field Summary

### Fields inherited from class org.eclipse.lemminx.extensions.relaxng.jing.toremove.MySchemaReaderImpl

`SCHEMA_PATTERN_BUILDER`

### Fields inherited from interface com.thaiopensource.validate.SchemaReader

`BASE_URI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods

`protected com.thaiopensource.relaxng.parse.Parseable<com.thaiopensource.relaxng.pattern.Pattern,​com.thaiopensource.relaxng.pattern.NameClass,​Locator,​com.thaiopensource.util.VoidValue,​com.thaiopensource.relaxng.pattern.CommentListImpl,​com.thaiopensource.relaxng.pattern.AnnotationsImpl>`

`createParseable​(SAXSource source, com.thaiopensource.resolver.xml.sax.SAXResolver saxResolver, ErrorHandler eh, com.thaiopensource.util.PropertyMap properties)`

`static MyCompactSchemaReader` `getInstance()`

### Methods inherited from class org.eclipse.lemminx.extensions.relaxng.jing.toremove.MySchemaReaderImpl

`createSchema, getOption`

### Methods inherited from class com.thaiopensource.validate.AbstractSchemaReader

`createSchema`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static MyCompactSchemaReader getInstance()

#### createParseable

    protected com.thaiopensource.relaxng.parse.Parseable<com.thaiopensource.relaxng.pattern.Pattern,​com.thaiopensource.relaxng.pattern.NameClass,​Locator,​com.thaiopensource.util.VoidValue,​com.thaiopensource.relaxng.pattern.CommentListImpl,​com.thaiopensource.relaxng.pattern.AnnotationsImpl> createParseable​(SAXSource source,
                                                                                                                                                                                                                                                                                                                                                com.thaiopensource.resolver.xml.sax.SAXResolver saxResolver,
                                                                                                                                                                                                                                                                                                                                                ErrorHandler eh,
                                                                                                                                                                                                                                                                                                                                                com.thaiopensource.util.PropertyMap properties)

Specified by:
  `createParseable` in class `MySchemaReaderImpl`